- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2beta/projects.locations.catalogs.generativeQuestion/batchUpdate.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2beta/projects.locations.catalogs.generativeQuestion/batchUpdate.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2beta/projects.locations.catalogs.generativeQuestion/batchUpdate.md.txt#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2beta/projects.locations.catalogs.generativeQuestion/batchUpdate.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2beta/projects.locations.catalogs.generativeQuestion/batchUpdate.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2beta/projects.locations.catalogs.generativeQuestion/batchUpdate.md.txt#body.BatchUpdateGenerativeQuestionConfigsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2beta/projects.locations.catalogs.generativeQuestion/batchUpdate.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2beta/projects.locations.catalogs.generativeQuestion/batchUpdate.md.txt#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2beta/projects.locations.catalogs.generativeQuestion/batchUpdate.md.txt#try-it)

Allows management of multiple questions.

### HTTP request

`POST https://retail.googleapis.com/v2beta/{parent=projects/*/locations/*/catalogs/*}/generativeQuestion:batchUpdate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Optional. Resource name of the parent catalog. Format: projects/{project}/locations/{location}/catalogs/{catalog} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`UpdateGenerativeQuestionConfigRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`UpdateGenerativeQuestionConfigRequest`)`` Required. The updates question configs. |

### Response body

Aggregated response for UpdateGenerativeQuestionConfig method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "generativeQuestionConfigs": [ { object (`GenerativeQuestionConfig`) } ] } ``` |

| Fields ||
|---|---|
| `generativeQuestionConfigs[]` | ``object (`GenerativeQuestionConfig`)`` Optional. The updates question configs. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `retail.catalogs.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).